#include "uwbgl_Clock.h"

UWB_Clock::UWB_Clock()
{
  m_previous_update_time = clock();
}

float UWB_Clock::GetSecondsElapsed()
{
  clock_t current_update_time = clock();
  float elapsed_seconds = (float)(current_update_time - m_previous_update_time) / CLOCKS_PER_SEC;
  m_previous_update_time = current_update_time;

  return elapsed_seconds;
}
