#include "uwbgl_Utility2.h"
#include <stdlib.h>
#include <time.h>

HWND UWB_hEchoWindow = NULL;

void UWB_EchoToStatusArea(const wchar_t* message)
{
  if(IsWindow(UWB_hEchoWindow))
    SetWindowText(UWB_hEchoWindow,message);
}


float UWB_RandomNumber(float range)
{
  static bool FirstTime = true;
  if (FirstTime) {
    srand( (unsigned)time( NULL ) );
    FirstTime = false;
  }
  return range * float(rand()) / float(RAND_MAX);
}

float UWB_RandomNumber(float minRange, float maxRange)
{
  float size = maxRange - minRange;
  return minRange + UWB_RandomNumber(size);
}


void UWB_RandomTriple(float minRange, float maxRange, float c[3])
{
  c[0] = UWB_RandomNumber(minRange, maxRange);
  c[1] = UWB_RandomNumber(minRange, maxRange);
  c[2] = UWB_RandomNumber(minRange, maxRange);
}

int UWB_Round(double x)
{
  return (x>=0.0) ? ((int)(x+0.5)) : -((int)(0.5-x));
}