#include "stdafx.h"
#include "Ball.h"

CBall::CBall()
: m_velocity(0,0,0)
{
}

vec3 CBall::GetVelocity() const
{
  return m_velocity;
}

void CBall::SetVelocity(const vec3& velocity)
{
  m_velocity = velocity;
}

bool CBall::IsOutsideBounds(float bounds_width, float bounds_height) const
{
  float minx = m_center.x - m_radius;
  float miny = m_center.y - m_radius;
  float maxx = m_center.x + m_radius;
  float maxy = m_center.y + m_radius;

  return (  (maxx < 0)  || (minx > bounds_width) || (maxy < 0) || (miny > bounds_height) );
}
