// University of Washington Bothell Graphics Library
// Authors: Kelvin Sung, Steve Baer
// The accompanying library supports CSS Graphics courses taught at UW-Bothell
// See: http://courses.washington.edu/css450/
//      http://courses.washington.edu/css451/
///////////////////////////////////////////////////////////////////////////////////

/// uwbgl_D3DDefines.h: Direct3D specific includes and linking instructions.

/// *IMPORTANT*: All header files in UWBGL_Direct3D_1 should include this file as the
///              first include.
#pragma once



#include "uwbgl_Common.h"
#include <vector>

#include <d3d9.h>      // Direct 3D include file (Remember to link with d3d9.lib)
#include <d3dx9mesh.h> // for D3DX - classes (e.g. D3DX_VECTOR, etc.)
#include <d3dx9math.h> // for D3DX - math classes ... (Remember to link with d3dx9.lib)
#pragma comment(lib, "d3d9.lib")
#pragma comment(lib, "d3dx9.lib")