// University of Washington Bothell Graphics Library
// Authors: Kelvin Sung, Steve Baer
// The accompanying library supports CSS Graphics courses taught at UW-Bothell
// See: http://courses.washington.edu/css450/
//      http://courses.washington.edu/css451/
/////////////////////////////////////////////////////////////////////////////////////////

/// uwbgl_MFC_Lib1.h - Main Include file for version 1 of the UWB MFC User Interface Library
/// Include this single header file in your projects to add support for the library.

/// *IMPORTANT*: Header and source files in UWBGL_MFC should NEVER include this file.
/// *IMPORTANT*: External projects that use this library should ONLY include this file to get
///              access to all class and functions provided by this library.
#pragma once

#include "uwbgl_MFCDefines.h"             // basic set of MFC classes
#include "uwbgl_MFCUIWindow1.h"           // CWnd derived graphics window
#include "uwbgl_MFCSliderCtrlWithEcho1.h" // Custom slider control with text output
#include "uwbgl_MFCUtility1.h"            // MFC utility functions
